
TCA Reference - Task # 35251

Status: Closed Priority: Should have
Author: Chris topher Category:
Created: 2012-03-26 Assigned To: Francois Suter
Updated: 2012-04-23 Due date:
Subject: For TYPO3 4.7: Update reference to $TYPO3_CONF_VARS['BE']['forceCharset']
Description

The manual mentions the option $TYPO3_CONF_VARS['BE']['forceCharset']. However, this option has been removed in TYPO3 4.7.
Make sure to update the manual accordingly.

References: #34092 and #34094.
Summary of the effect of these changes:
    -  If $TYPO3_CONF_VARS['BE']['forceCharset'] is set to the value "utf-8", the user should just remove this line from his
localconf.php. 
    -  All values other than "utf-8" will prevent TYPO3 from running and will trigger an error. If another value is used, the user should
proceed to the Update Wizard in the TYPO3 Install Tool to update his configuration. Since the backend and the database will
communicate "thinking" that they use the charset UTF-8, he must make sure that they really do. Otherwise he will create a charset mix
in his database, which will be hard to fix later. Our Wiki page on UTF-8 conversion has more information on how to fix an affected
environment accordingly: http://wiki.typo3.org/UTF-8_support

Related issues:
related to Core - Bug # 34092: Remove all references to forceCharset setting Resolved 2012-02-19 2012-02-19
related to Core - Task # 34094: Change fallbacks to iso-8859-1 to utf-8 Resolved 2012-02-20 2012-02-20

Associated revisions
Revision 1178 - 2012-03-30 09:18 - Francois Suter

Removed mention of "forceCharset" property, resolves #35251

History
#1 - 2012-03-30 09:10 - Francois Suter
- Status changed from New to Accepted
- Assigned To set to Francois Suter

Found a single mention, in the section about FlexForms. Will update it.

#2 - 2012-03-30 14:30 - Francois Suter
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1178.

#3 - 2012-04-23 22:18 - Francois Suter
- Status changed from Resolved to Closed
